SM4::Base Class Reference

SM4 block cipher transformation functions. More...

`#include <sm4.h>`

Inheritance diagram for SM4::Base:

## Additional Inherited Members

Public Member Functions inherited from BlockCipherImpl< SM4_Info >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.
Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

SM4 block cipher transformation functions.

Provides implementation common to encryption and decryption

Since
  Crypto++ 6.0

Definition at line 50 of file sm4.h.

The documentation for this class was generated from the following files:

- sm4.h
- sm4.cpp